@font-face {
  font-family: inter;
  src: url("/fonts/Inter.ttf") format("truetype");
  font-display: swap;
}

@font-face {
  font-family: roboto;
  src:
    local("Roboto"),
    url("/fonts/Roboto.ttf") format("TrueType");
  font-display: swap;
}

@font-face {
  font-family: bebas neue;
  src:
    local("Bebas Neue"),
    url("/fonts/BebasNeue-Regular.ttf") format("TrueType");
  font-display: swap;
}

:root {
  --blue: #50aaff;
  --plain-text-color: black;
  --bg-color: #ffffff;
  --primary-color: #0078d7;
  --secondary-color: #102e55;
  --complementary-color: #c54516;
  --complementary-gradient-start: #e78f0c;
  --complementary-color-gradient: linear-gradient(40deg, var(--complementary-color) 10%, var(--complementary-gradient-start) 90%);
  --card-bg: #f3f3f3;
  --text-muted: #666666;
  --shadow-color: #00000022;

  --headings-font-size: 2rem;
  --border-round: 15px;
  --services-margin: 4rem;
  --card-columns: repeat(3, 1fr);

  @media (prefers-color-scheme: dark) {
    --plain-text-color: white;
    --bg-color: #222233;
    --secondary-color: var(--blue);
    --card-bg: #333344;
    --text-muted: #aaaaaa;
    --shadow-color: #aaaaaa22;

    #topLeft > h1::before {
        filter: invert(1);
    }
  }

  @media (max-width: 1200px) {
    --services-margin: 3rem;
    --headings-font-size: 1.5rem;
    --card-columns: repeat(2, 1fr);
  }

  @media (max-width: 750px) {
    --headings-font-size: 1.25rem;
    --services-margin: 2rem;
    --card-columns: repeat(1, 1fr);
  }
}

html {
  margin: 0;
  padding: 0;
  font-size: 1rem;
  color: var(--plain-text-color);
  font-family: inter;
  scroll-behavior: smooth;
}

h1 {
  font-family: bebas neue, Calibri;
  font-size: 2em;
}

h2 {
  color: var(--text-muted);
}

body {
  margin: 0;
  background-color: var(--bg-color);
}

#topSlider {
  width: 100vw;
  height: 100dvh;
  overflow: hidden;
  display: flex;
  justify-content: space-evenly;
  align-content: center;
  align-items: center;
  flex-wrap: wrap;
  font-size: var(--headings-font-size);
  
  & * {
    margin: 0;
  }

  @media (max-width: 1000px) {
    flex-direction: column;
  }
}

#topLeft {
  min-width: 300px;
  margin: 0 2em;
  text-wrap-mode: wrap;
}
#topLeft > h1 {
  color: var(--secondary-color);
  position: relative;
  paint-order: stroke fill;
  -webkit-text-stroke: 15px var(--bg-color);
}
#topLeft > h1::before {
    content: "";
    position: absolute;
    top: -0.6em;
    left: -0.8em;
    height: 1.6em;
    aspect-ratio: 1;
    z-index: -1;
    background: url("/assets/cog.svg") no-repeat center;
    background-size: cover;
    animation: spin 10s infinite linear;
}
@keyframes spin {
    from { transform: rotate(0deg); }
    to { transform: rotate(360deg); }
}
#topLeft > h2:nth-of-type(1) {
  margin-left: 0.6em;
}
#topLeft > h2:nth-of-type(2) {
  margin-left: 1.2em;
  margin-bottom: 1em;
}
#topLeft > h3 {
  color: var(--secondary-color);
}
#topLeft > .learn-more-container {
  margin-top: 0.5em;
}

#topRight {
  /* magické číslo final boss */
  perspective: 900px;
  aspect-ratio: 1; 
  /* další magické čísílko */
  min-width: 32%;
}
#frameParent {
  transform: rotate3d(1, -1, 0.5, 35deg);
  top: -20%;
  height: 100%;
  width: 100%;
  border-radius: var(--border-round);
  overflow: hidden;
}
#frameParent:hover > #frameTimer {
  opacity: 0;
}
#frameTimer {
  width: calc(100% + 2px);
  height: 6px;
  position: absolute;
  bottom: -1px;
  left: -1px;
  z-index: 1;
  opacity: 1;
  transition: opacity 0.3s ease-out;
  background: linear-gradient(90deg, var(--blue) 50%, #00000000 50%);
  background-size: 200%;
}
#frameParent > iframe {
  width: 100%;
  height: 100%;
  overflow: hidden;
  display: none;
  margin: 0;
  border: 0;
}
#frameLeftArrow, #frameRightArrow {
    position: absolute;
    bottom: 4px;
    border: 20px solid transparent;
    aspect-ratio: 1;
    cursor: pointer;
}
#frameLeftArrow {
    left: -16px;
    border-right: 25px solid var(--blue) !important;
}
#frameRightArrow {
    right: -16px;
    border-left: 25px solid var(--blue) !important;
}

#services {
  width: 100%;
  padding: var(--services-margin) 0;

  & > h1 {
    text-align: center;
    text-decoration: underline;
    color: var(--secondary-color);
  }

  & > * {
    margin: 0 var(--services-margin);
  }

  & > *:not(:first-child) {
    margin-top: var(--services-margin);
  }
}

#card-holder {
  display: grid;
  grid-template-columns: var(--card-columns);
  gap: var(--services-margin);
  align-items: start;
}

.card {
  color: inherit;
  text-decoration: none;
  display: block;
  box-shadow: 10px 10px 25px var(--shadow-color);
  border-radius: var(--border-round);
  overflow: hidden;

  & > div {
    padding: 1.5rem;
  }

  & > hr {
    border: none;
    border-top: 2px solid var(--secondary-color);
    margin: 0;
  }

  & h2 {
    font-family: bebas neue, Calibri;
    font-size: 2rem;
    color: var(--secondary-color);
    margin: 0;
    text-align: center;
  }
}

.card-header {
  background-color: var(--card-bg);
}

.card-body {
  & > p, & > h3, & > a {
    font-size: 1.1rem;
    margin: 0;
  }

  & > p {
    color: var(--text-muted);
    text-align: justify;
  }

  & > h3 {
    color: var(--secondary-color);
  }

  & > *:not(:first-child) {
    margin-top: 1.5rem;
  }
}

.learn-more-container {
  display: flex;
  flex-direction: row-reverse;
}

.learn-more {
  background: var(--complementary-color-gradient);
  padding: 1rem;
  border-radius: var(--border-round);
  display: inline-block;
  font-weight: bold;
  color: white;
  text-decoration: none;

  &::after {
    content: " ↗";
  }
}

#scroll {
  height: 3000px;
}

.product-pricing {
    justify-content: center;
    align-items: center;
    display: flex;
    flex-direction: row;
    gap: 20px;
}
.product {
  margin: 10px;
  padding: 10px;
}
.even {
  background-color: #ececec;
}
.product-card {
    display: flex;
    flex-direction: column;
    height: 280px;
    width: 260px;
    background-color: white;
    padding: 10px;
    border-radius: 10px;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.2);
}
.product-card-header {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    border-bottom: 1px solid #e0e0e0;
    margin-bottom: 10px;
    font-size: 1.5em;
    color: #000;
    align-items: center;
}
.product-card-body {
    margin: 10px;
    height:auto;
    font-size: 1.2em;
    color: black;
}
.product-card-price {
    font-weight: bold;
    margin-bottom: 10px;
    color: #0202d2;
}
.product-card-body ul {
    list-style-type: none;
    padding-left: 0;
    color: black;
}
.product-card-body .include::before{
    content: "✔";
    color: green;
    margin-right: 5px;
}
.product-card-body .exclude::before{
    content: "✘";
    color: red;
    margin-right: 5px;
}
.pricing-header {
    text-align: center;
    margin: 20px 0 0 0;
    gap: 0;
}
.pricing-header h2 {
    font-size: 2.5em;
    margin: 0;
}
.pricing-header p {
    font-size: 1.2em;
    margin: 5px 0 20px 0;
    color: #555;
}

.pricing-footer {
    text-align: center;
    margin-top: 20px;
    font-size: 1.0em;
}

.product-description {
    align-items: center;
    justify-content: center;
    text-align: center;
    font-size: 1.0em;
    color: #333;
    margin-top: 10px;
}

.product-description ul {
    list-style-type: none;
    padding-left: 0;
    color: black;
}

@media (max-width: 1200px) {
  .card-body {
    & > p {
      text-align: left;
    }
  }

  .product-pricing {
    flex-direction: row;
    flex-wrap: wrap;
  }
}
